Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface WithTree

- All Superinterfaces:
    `StatementTree`, `Tree`

      public interface WithTree
      extends StatementTree

  A tree node for a 'with' statement. For example:

         with ( scope )
           statement

  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExpressionTree` | `getScope​()` | The scope object expression for this 'with' statement.
    `StatementTree` | `getStatement​()` | The statement contained in this 'with' statement.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getScope

          ExpressionTree getScope​()

      The scope object expression for this 'with' statement.
      Returns:
        the scope object

    - #### getStatement

          StatementTree getStatement​()

      The statement contained in this 'with' statement.
      Returns:
        the statement contained